> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/payments--payout/execute-a-payout-instruction-set",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Execute a payout instruction set

> **Note:** The reference content in this section documents the Payments
Engine endpoint. The Payments Engine endpoints include APIs available only
for customers with Payments Engine enabled on their accounts.

These endpoints are currently in beta and might be subject to
changes.

If you want to learn more about Fireblocks Payments Engine, please
contact your Fireblocks Customer Success Manager or email
CSM@fireblocks.com.

**Execute a payout instruction set.**

The instruction set will be verified and executed.

**Source locking**

If you are executing a payout instruction set from a payment account with an
already active payout the active payout will complete before the new payout
instruction set can be executed.

You cannot execute the same payout instruction set more than once.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /payments/payout/{payoutId}/actions/execute
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /payments/payout/{payoutId}/actions/execute:
    post:
      tags:
        - Payments - Payout
      summary: Execute a payout instruction set
      description: >
        **Note:** The reference content in this section documents the Payments

        Engine endpoint. The Payments Engine endpoints include APIs available
        only

        for customers with Payments Engine enabled on their accounts.


        These endpoints are currently in beta and might be subject to

        changes.


        If you want to learn more about Fireblocks Payments Engine, please

        contact your Fireblocks Customer Success Manager or email

        CSM@fireblocks.com.


        **Execute a payout instruction set.**


        The instruction set will be verified and executed.


        **Source locking**


        If you are executing a payout instruction set from a payment account
        with an

        already active payout the active payout will complete before the new
        payout

        instruction set can be executed.


        You cannot execute the same payout instruction set more than once.
      operationId: executePayoutAction
      parameters:
        - name: payoutId
          description: >-
            the payout id received from the creation of the payout instruction
            set
          in: path
          schema:
            type: string
          required: true
          example: 1fe3b61f-7e1f-4a19-aff0-4f0a524d44d7
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '200':
          description: Executed the payout instruction set
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DispatchPayoutResponse'
              example:
                payoutId: 1fe3b61f-7e1f-4a19-aff0-4f0a524d44d7
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized. Missing / invalid JWT token in Authorization header.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        5XX:
          description: Internal error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<DispatchPayoutResponse>>
            =
            fireblocks.paymentsPayout.executePayoutAction(paymentsPayoutApiExecutePayoutActionRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<DispatchPayoutResponse>> response =
            fireblocks.paymentsPayout().executePayoutAction(payoutId,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.payments_payout.execute_payout_action(payout_id,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    DispatchPayoutResponse:
      type: object
      properties:
        payoutId:
          type: string
      required:
        - payoutId
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - INTERNAL
                - AUTHENTICATION
                - AUTHORIZATION
                - VALIDATION
                - NOT_FOUND
                - UNPROCESSABLE_ENTITY
                - FORBIDDEN
            message:
              type: string
          required:
            - type
            - message
      required:
        - error

````